## ros-foxy-rover-driver 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rover_driver)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)
find_package(rover_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(diagnostic_updater REQUIRED)

include_directories(include/)
file(GLOB_RECURSE AllHeaders ${PROJECT_SOURCE_DIR}/*.hpp)

add_executable(rover_driver
  src/composition.cpp
  src/rover_serial.cpp
  src/rover.cpp
  src/data.cpp
  src/pi_controller.cpp
  ${AllHeaders})

target_link_libraries(rover_driver pthread)

target_include_directories(rover_driver
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

ament_target_dependencies(rover_driver
  rclcpp
  std_msgs
  geometry_msgs
  rover_msgs
  nav_msgs
  tf2_geometry_msgs
  diagnostic_updater
  )

install(TARGETS
  rover_driver
  DESTINATION lib/${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-foxy-rover-driver (0.1.1-2focal) focal; urgency=high

  * Add pi contoller timeout to prevent run away
  * correct package dependency to allow for ros buildfarm passage

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Thu, 08 Oct 2020 05:00:00 -0000

ros-foxy-rover-driver (0.1.0-2focal) focal; urgency=high

  * first public release for Foxy

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Thu, 01 Oct 2020 05:00:00 -0000

=== debian/control ===
Source: ros-foxy-rover-driver
Section: misc
Priority: optional
Maintainer: Nick Padilla <nickpadilla@roverrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-foxy-ament-cmake, ros-foxy-diagnostic-updater, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rover-msgs, ros-foxy-std-msgs, ros-foxy-tf2-geometry-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rover-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-foxy-diagnostic-updater, ros-foxy-nav-msgs, ros-foxy-rclcpp, ros-foxy-rover-msgs, ros-foxy-std-msgs, ros-foxy-tf2-geometry-msgs, ros-foxy-ros-workspace
Description: Serial driver for Rover platform.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rover-driver//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
